// TEST: Compound lines with spaces.

if(q)a;if(q)b;

if(q)a ;     if(q)b;

if (q1) if (q2) a  ;   b;

if (q1) if (q2) a  ;   else b;

do thedo() /*1*/;   while (q);

do thedo(); /*2*/  while (q);

do thedo() /*3*/; /*3*/ while (q);

/*X*/do /*X*/ thedo() /*X*/; /*X*/ while /*X*/ (q) /*X*/;

